summaryrefslogtreecommitdiffstats
path: root/deps/woff2
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2019-07-11 23:49:52 +0200
committer Eric Hameleers <alien@slackware.com>2019-07-11 23:49:52 +0200
commit536c9463ecba71c4759f0c17c975a2d58b65542e (patch)
treed4d8259d89ece4bba2033ffe99adc2afcc26fc76 /deps/woff2
parent87322d6e92cc7ea8a0db547f371a1f589364c405 (diff)
downloadktown-536c9463ecba71c4759f0c17c975a2d58b65542e.tar.gz
ktown-536c9463ecba71c4759f0c17c975a2d58b65542e.tar.xz
Deps: adding brotli and woff2 as new requirements for qt5-webkit
Diffstat (limited to 'deps/woff2')
-rw-r--r--deps/woff2/.deps1
-rw-r--r--deps/woff2/.url16
-rw-r--r--deps/woff2/slack-desc19
-rwxr-xr-xdeps/woff2/woff2.SlackBuild122
4 files changed, 158 insertions, 0 deletions
diff --git a/deps/woff2/.deps b/deps/woff2/.deps
new file mode 100644
index 0000000..71867b8
--- /dev/null
+++ b/deps/woff2/.deps
@@ -0,0 +1 @@
+brotli
diff --git a/deps/woff2/.url b/deps/woff2/.url
new file mode 100644
index 0000000..c7e97d3
--- /dev/null
+++ b/deps/woff2/.url
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# Define variables:
+PKGNAM=woff2
+MYDATE=$(date +%Y%m%d)
+GITURI="https://github.com/google/${PKGNAM}.git"
+
+# Checkout source and create tarball:
+rm -rf ${PKGNAM}temp
+git clone ${GITURI} ${PKGNAM}temp
+cd ${PKGNAM}temp
+ MYHASH=$(git rev-parse --short=7 HEAD)
+cd - 1>/dev/null
+mv ${PKGNAM}temp ${PKGNAM}-${MYHASH}_${MYDATE}
+tar -Jcf ${PKGNAM}-${MYHASH}_${MYDATE}.tar.xz ${PKGNAM}-${MYHASH}_${MYDATE}
+rm -rf ${PKGNAM}-${MYHASH}_${MYDATE}
diff --git a/deps/woff2/slack-desc b/deps/woff2/slack-desc
new file mode 100644
index 0000000..1d0ca07
--- /dev/null
+++ b/deps/woff2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+woff2: woff2 (web font compression format)
+woff2:
+woff2: WOFF2 is the Web Open Font Format 2 reference implementation.
+woff2: See also https://www.w3.org/TR/WOFF2/
+woff2: This tarball contains an embedded version of brotli (a lossless
+woff2: compression algorithm) used to build woff2.
+woff2:
+woff2:
+woff2:
+woff2: Homepage: https://github.com/google/woff2
+woff2:
diff --git a/deps/woff2/woff2.SlackBuild b/deps/woff2/woff2.SlackBuild
new file mode 100755
index 0000000..6293b3f
--- /dev/null
+++ b/deps/woff2/woff2.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/sh
+# Copyright 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2019 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=woff2
+VERSION=${VERSION:-"a0d0ed7_20190630"}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+# Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv5te"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Build and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+cmake \
+ -G Ninja \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+ . || exit 1
+ninja || exit 1
+DESTDIR=$PKG ninja install || exit 1
+
+# Strip binaries:
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ CONTRIBUTING.md LICENSE README.md \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# Add a description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Create the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+